#pragma once
#include "WaveParserProto.h"

class CWaveParserAmp :
	public CWaveParserProto
{
	protected:
		bool            GetCurrentSample(WaveData &pWave, int pos);

		virtual bool    FindMarker1(WaveData &pWave) override;
		virtual int     CalcImpLength(WaveData &pWave, int &pos) override;

	public:
		int             GetImpulseLen(WaveData &pWave);
		int             FindNextTuning(WaveData &pWave, int startPos, int &nTuneStart, int &nTuneLength, int &nMarkerPos);

		CWaveParserAmp();
		virtual ~CWaveParserAmp() override;
};

